### Method

# AppStreamCompose Compose set_locale_unit

#### Declaration [src]

    void
    asc_compose_set_locale_unit (
      AscCompose* compose,
      AscUnit* locale_unit
    )

#### Description [src]

Set a specific unit that is used for fetching locale information. This may be useful in case a special language pack layout is used, but is generally not necessary to be set explicitly, as locale will be found in the unit where the metadata is by default.

Do not forget to open the locale unit, before running compose actions with it!

#### Parameters

`locale_unit`

  Type: `AscUnit`

  The unit used for locale processing.

  The data is owned by the caller of the method.